/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/


/* megamenu styling */
@media (min-width: 1000px) {
    .megamenu > .sub-menu  {
        display: flex !important;
        justify-content: center;
        flex-wrap: wrap;
        width: 100vw !important;
        box-sizing: border-box !important;
    }

    .megamenu > .sub-menu > li {
        display: inline-block !important;
        padding: 20px !important;
    }
}
@media (min-width: 1200px) {
    .megamenu > .sub-menu > li {
        display: inline-block !important;
        width: 20% !important;
        padding: 20px !important;
    }
}

/* WooCommerce */
.woocommerce ul.products li.product.minimal .product-wrap img,
.woocommerce-page ul.products li.product.minimal .product-wrap img {
    padding: 20px;
}
@media (min-width: 1000px) {
    .woocommerce ul.products li.product.minimal .product-wrap img,
    .woocommerce-page ul.products li.product.minimal .product-wrap img {
        padding: 30px;
    }
}
.main-content .woocommerce-brand-image-container {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 99;
    /*background: #fff;
    padding: 8px;
    border-radius: 4px;*/
    line-height: 0;
}
.main-content img.woocommerce-brand-image-single {
    max-width: 50px;
    height: auto;
    margin: 0 !important;
}
@media (min-width: 1000px) {
    .main-content img.woocommerce-brand-image-single {
        max-width: 100px;
    }
}
.woocommerce ul.products li.product.minimal .woocommerce-brand-image-container, .woocommerce-page ul.products li.product.minimal .woocommerce-brand-image-container {
    top: 10px;
    left: 10px;
}
.woocommerce ul.products li.product.minimal img.woocommerce-brand-image-single, .woocommerce-page ul.products li.product.minimal img.woocommerce-brand-image-single {
    margin: 0;
}
.woocommerce div.product div.images .woocommerce-product-gallery img.zoomImg {
    display: none !important;
    visibility: hidden;
}
.woocommerce div.product div.images .woocommerce-product-gallery a.no-ajaxy {
    cursor: default !important;
}
.woocommerce .summary .price, .woocommerce div.product .summary p.price {
    color: #16ad63 !important;
}

.woocommerce ul.products li.product.minimal:hover .background-color-expand, .woocommerce-page ul.products li.product.minimal:hover .background-color-expand {
    transform: scale(1.03,1.03) translateY(0px) !important;
}

.woocommerce ul.products li.product.minimal .price, .woocommerce-page ul.products li.product.minimal .price {
    color: #16ad63 !important;
}

.woocommerce ul.products li.product.minimal .new, 
.woocommerce-page ul.products li.product.minimal .new,
.woocommerce ul.products li.product.minimal .onsale, 
.woocommerce-page ul.products li.product.minimal .onsale,
.woocommerce ul.products li.product.minimal .soldout, 
.woocommerce-page ul.products li.product.minimal .soldout {
    position: absolute;
    z-index: 10;
    top: 10px;
    left: auto;
    right: 10px;
    padding: 8px;
    font-size: 12px;
    line-height: 12px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
    background: #16ad63;
    border-radius: 4px;
}

.woocommerce ul.products li.product.minimal .new, 
.woocommerce-page ul.products li.product.minimal .new,
.woocommerce ul.products li.product.minimal .onsale, 
.woocommerce-page ul.products li.product.minimal .onsale,
.woocommerce ul.products li.product.minimal .soldout, 
.woocommerce-page ul.products li.product.minimal .soldout,
.main-content .woocommerce-brand-image-container {
    z-index: 999 !important;
}


/* search results */
body.search #search-results {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    height: auto !important;
}
body.search .container-wrap {
    padding-top: 0 !important;
    background: #f4f4f4;
}
body.search #search-results .result {
    width: 33% !important;
    box-sizing: border-box;
    position: relative !important;
    top: 0 !important;
    left: 0 !important;
    height: auto !important;
    padding: 7px !important;
}
body.search #search-results .result .inner-wrap {
    border: none !important;
}
#search-results .result .title a {
    color: #444 !important;
}
#search-results .result .title span {
    display: inline-block !important;
    color: #16ad63 !important;
}
#search-results .result .title > span {
    display: block !important;
}

/* youtube */
.youtube-container {
    max-width: 600px;
    margin: 0 auto;
}
.youtube-wrapper {
    position: relative;
    padding-top: 56.25%;
    margin-bottom: 20px;
    height: 0;
}

.youtube-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.woocommerce ul.products li.product.minimal .onsale,
.woocommerce-page ul.products li.product.minimal .onsale,
.woocommerce ul.products li.product.minimal .soldout,
.woocommerce-page ul.products li.product.minimal .soldout {
    background: #ee151e !important;
}

.woocommerce .summary .price ins, 
.woocommerce div.product .summary p.price ins,
.woocommerce ul.products li.product.minimal .price ins,
.woocommerce-page ul.products li.product.minimal .price ins {
    color: #ee151e !important;
}



/* Safari footer bug */
@media (min-width: 1000px) {
    #slide-out-widget-area-bg {
        display: none;
    }
}